Skip to main content
PATCH
Update webhook

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Webhook ID

Body

application/json

Partial update. Every field is optional and any field you omit is left unchanged. If you send events, it must subscribe to at least one event.

name
string

Webhook name

Required string length: 3 - 50
url
string<uri>

Webhook URL endpoint

events
object

Webhook event subscriptions

Example:

Response

Webhook updated successfully

id
string

Unique webhook identifier

name
string

Webhook name

url
string<uri>

Webhook URL endpoint

events
object

Webhook event subscriptions

Example:
last_triggered_at
string<date-time> | null

When the webhook was last triggered

created_at
string<date-time>

When the webhook was created

updated_at
string<date-time>

When the webhook was last updated